<template lang="pug">
  .for-men-category
    h3 Componet-1
    hr
    app-store(
    :cartItems='cartItems'
    :storeFactor='storeFactor'
    :isRand='isRand'
    :toDisableCart='toDisableCart'
    @changeAdminMode='changeAdminMode'
    )
      <!-- Tab panes -->
</template>
<script>

  import Store from '../components/Store.vue';

  export default {
    props: {
      cartItems: {
        type: Array,
        default: () => []
      },
      toDisableCart: {
        type: Boolean
      }
    },
    data() {
      return {
        storeFactor: 'for-men',
        isRand: false
      }
    },
    methods: {
      changeAdminMode(e) {
        let adminMode = e
        this.$emit('changeAdminMode', adminMode)
      }
    },
    components: {
      appStore: Store
    }
  }
</script>
<style scoped>
</style>
